summaryrefslogtreecommitdiff
path: root/test/TEST-16-DMSQUASH/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-16-DMSQUASH/test.sh')
-rwxr-xr-xtest/TEST-16-DMSQUASH/test.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/test/TEST-16-DMSQUASH/test.sh b/test/TEST-16-DMSQUASH/test.sh
index 1f0854e4..074ec28b 100755
--- a/test/TEST-16-DMSQUASH/test.sh
+++ b/test/TEST-16-DMSQUASH/test.sh
@@ -23,7 +23,7 @@ test_run() {
-net none -kernel /boot/vmlinuz-$KVERSION \
-append "root=live:CDLABEL=LiveCD live rw quiet rd.retry=3 rd.info console=ttyS0,115200n81 selinux=0 rd.debug $DEBUGFAIL" \
-initrd $TESTDIR/initramfs.testing
- grep -m 1 -q dracut-root-block-success $TESTDIR/root.img || return 1
+ grep -F -m 1 -q dracut-root-block-success $TESTDIR/root.img || return 1
}
test_setup() {
@@ -62,6 +62,7 @@ test_setup() {
for f in /usr/share/syslinux/*; do
inst_simple "$f"
done
+ inst_simple /etc/os-release
inst ./test-init.sh /sbin/init
inst $TESTDIR/initramfs.testing "/boot/initramfs-$KVERSION.img"
inst /boot/vmlinuz-$KVERSION